import { d as VSCodeTheme, c as VSCodeThemeId } from './types-6c45dfe8.js';

/**
 * highlightjs scope -> TextMate(Used by VS Code) scope
 * @see https://highlightjs.readthedocs.io/en/latest/css-classes-reference.html#stylable-scopes
 * @see https://macromates.com/manual/en/language_grammars#naming_conventions
 */
declare const HIGHLIGHTJS_SCOPE_MAPPINGS: {
    keyword: string;
    built_in: string;
    type: string;
    literal: string;
    number: string;
    operator: string;
    punctuation: string;
    property: string;
    regexp: string;
    string: string;
    "char.escape": string;
    subst: string;
    symbol: string;
    class: string;
    function: string;
    variable: string;
    "variable.language": string;
    "variable.constant": string;
    title: string;
    "title.class": string;
    "title.class.inherited": string;
    "title.function": string;
    "title.function.invoke": string;
    params: string;
    comment: string;
    doctag: string;
    meta: string;
    "meta.prompt": string;
    "meta.keyword": string;
    "meta.string": string;
    section: string;
    tag: string;
    name: string;
    attr: string;
    attribute: string;
    bullet: string;
    code: string;
    emphasis: string;
    strong: string;
    formula: string;
    link: string;
    quote: string;
    "selector-tag": string;
    "selector-id": string;
    "selector-class": string;
    "selector-attr": string;
    "selector-pseudo": string;
    "template-tag": string;
    "template-variable": string;
    addition: string;
    deletion: string;
};
declare function vscodeTheme2HljsTheme(VSCodeTheme: VSCodeTheme): string;
declare function loadHljsThemeFromVSCodeTheme(vscodeThemeId: VSCodeThemeId): Promise<string>;

export { HIGHLIGHTJS_SCOPE_MAPPINGS, loadHljsThemeFromVSCodeTheme, vscodeTheme2HljsTheme };
