type VSCodeThemeTokenScope = string | string[];
interface VSCodeThemeTokenSettings {
    foreground?: string;
    background?: string;
    fontStyle?: string;
}
interface VSCodeThemeTokenColor {
    name?: string;
    scope?: VSCodeThemeTokenScope;
    settings: VSCodeThemeTokenSettings;
}
/**
 * `<Identifier>.<ThemeName>`
 * .Eg. `kricsleo.gentle-clen.Gentle Clean Vitesse`
 */
type VSCodeThemeId = `${string}.${string}.${string}`;
interface VSCodeTheme {
    name: string;
    type?: 'dark' | 'light' | string;
    settings?: VSCodeThemeTokenColor[];
    colors?: {
        'editor.foreground'?: string;
        'editor.background'?: string;
    };
    tokenColors: VSCodeThemeTokenColor[];
}
interface VSCodeThemePkgJSON {
    contributes: {
        themes?: Array<{
            label: string;
            uiTheme: string;
            path: string;
        }>;
    };
}
type SelectorScope = Record<string, string>;

export { SelectorScope as S, VSCodeThemeTokenScope as V, VSCodeThemeTokenSettings as a, VSCodeThemeTokenColor as b, VSCodeThemeId as c, VSCodeTheme as d, VSCodeThemePkgJSON as e };
